/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */
 
package com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.script;

import com.eviware.soapui.impl.wsdl.mock.WsdlMockResponse;
import com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlEditor;
import com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlInspector;
import com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.registry.ResponseInspectorFactory;
import com.eviware.soapui.model.ModelItem;

public class ScriptInspectorFactory implements ResponseInspectorFactory
{
	public static final String INSPECTOR_ID = "Script";

	public String getInspectorId()
	{
		return INSPECTOR_ID;
	}

	public XmlInspector createResponseInspector( XmlEditor editor, ModelItem modelItem )
	{
		if( modelItem instanceof WsdlMockResponse )
			return new MockResponseScriptInspector( ( WsdlMockResponse ) modelItem );
		
		return null;
	}
}
