/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.support.assertions;

import java.util.List;

import com.eviware.soapui.impl.wsdl.WsdlInterface;
import com.eviware.soapui.impl.wsdl.teststeps.WsdlMessageAssertion;
import com.eviware.soapui.impl.wsdl.teststeps.assertions.WsdlAssertionRegistry.AssertableType;
import com.eviware.soapui.model.testsuite.TestStep;

/**
 * Behaviour for an object that can be asserted
 * 
 * @author ole.matzura
 */

public interface Assertable 
{
	public WsdlMessageAssertion addAssertion( String selection );

	public void addAssertionsListener( AssertionsListener listener );

	public int getAssertionCount();

	public WsdlMessageAssertion getAssertionAt( int c );

	public void removeAssertionsListener( AssertionsListener listener );
	
	public void removeAssertion(WsdlMessageAssertion assertion);
	
	public AssertionStatus getAssertionStatus();
	
	public enum AssertionStatus { UNKNOWN, VALID, FAILED }

	public String getAssertableContent();
	
	public AssertableType getAssertableType();
	
	public List<WsdlMessageAssertion> getAssertionList();

	public TestStep getTestStep();

	public WsdlInterface getInterface();
	
	public WsdlMessageAssertion cloneAssertion( WsdlMessageAssertion source, String name );
}


