/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.support.soap;

import org.apache.xmlbeans.XmlException;
import org.apache.xmlbeans.XmlObject;

import com.eviware.soapui.support.StringUtils;

/**
 * SOAP-related utility-methods..
 * 
 * @author ole.matzura
 */

public class SoapUtils
{
	public static boolean isSoapFault( String responseContent, SoapVersion soapVersion ) throws XmlException
	{
		if( StringUtils.isNullOrEmpty( responseContent ))
			return false;
		
		// check manually before resource intensive xpath
		if( responseContent.indexOf( ":Fault" ) > 0 || responseContent.indexOf( "<Fault" ) > 0 )
		{
		   XmlObject xml = XmlObject.Factory.parse( responseContent );
		   XmlObject[] paths = xml.selectPath( "declare namespace env='" + soapVersion.getEnvelopeNamespace() + "';" + 
		         "//env:Fault");
		   if( paths.length > 0 )
		      return true;
		}
		
		return false;
	}
}
